/* Font Family + Color Scheme
font-family: 'Cutive Mono', monospace; [MAIN HEADINGS H1-H3]
font-family: 'Pompiere', cursive; [SUB HEADS + <P> elements]
*/
/* Global Atts */
* {
margin: 0;
padding: 0;
}
body {
box-sizing: border-box;
font-family: 'Open Sans Condensed', sans-serif;
}
img {
  width: 300px;
  height: 300px;
  overflow: hidden;
}
section {
   text-align: center;
   margin: 20px;
   padding: 20px;
}
h1, h2, h3 {
  color: ; /* still deciding !!! */
  font-family: 'Cutive Mono', monospace;
}
.hero-container {
  height: 35vh;
  background-image: linear-gradient(to bottom, #000, #f4f4f4);

}
/* NAV properties */
.sticky + .hero-container {
  padding-top: 60px;
}
.top-stick {
  text-align: center;
  background: #000;
  color: #fff;
  position: fixed;
  top: 0;
  width: 100%;
}
.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}
nav a {
color: #fff;
font-size: 20px;
display: block;
z-index: 100;
}
.flex {
  display: flex;
  flex-wrap: wrap;

}
.flex a {
  margin: auto;
}

/* animation of heading */
.slide-left {
  width: 100%;
  overflow: hidden;
}
.hero-sub h1 {
  animation: slide-left 3s;
}
@keyframes slide-left {
  from {
    margin-left: 100%;
    width: 300%;
  }
  to {
    margin-left: 0%;
    width: 100%;
  }
}
/* Landing | Home Page Image + Text Props */
.hero {
  background-image: url("img/alphine-bk.jpg");
  height: 100vh;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
.hero-text {
  text-align: center;
  position: absolute;
  top: 40%;
  left: 50%;
  color: grey;
  transform: translate(-50%, -50%);
  font-family: 'Raleway', sans-serif;
}
.hero-sub {
  background-image: url("img/alphine-bk.jpg");
  height:50vh;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
.begining {
  color: #000;
  font-size: 50px;
  text-shadow: 3px 2px grey;
}
/* welcoming banner ends here */

/*SECTION personal work properties */
/* SECTION main */
#main {
  background-image: linear-gradient(to bottom, grey, #fff);

  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  text-align: center;
  padding: 10px;
}
#main p {
  color: #000;
  font-size: 22px;
  line-height: 30px;
}
 h2 {
  text-decoration: underline;
  font-size: 35px;
}

/* columns used for desktop layout of created
    web content and comments */
.col {
  float: left;
  width: 50%;
  padding-top: 10px;
  padding-bottom: 30px;
  margin: auto;
  align-items: center;
  align-content: center;
  justify-content: center;
}
.col img {
  width: 100%;
  height: 33.3%;
}
.preview {
  height: 400px;
  width: 550px;

}
.work p {
  font-size: 25px;
  padding: 10px;
}
.work h3 {
  animation: slide-right 5s ease-in;
}
@keyframes slide-right {
  from {
    margin-right: 100%;
    width: 300%;
  }
  to {
    margin-right: 0%;
    width: 100%;
  }
}

/* Index.html styles ends here */

/* Gallery.html styles begins here */
.box {
  background-color: darkcyan;
  height: 100px;
  width: 150px;
  margin: auto;
}
/* Gallery.html styles ends here */

/* Hire.html styles begins here */


/* Hire.html styles ends here */


.grid {
  display: flex;
  flex-direction: column;
}
.item {
  background-color: green;
  color: white;
  height: 150px;
  width: 150px;
  padding: 10px;
  margin: 30px;
  overflow: auto;
}

/* gallery mockups + github page links */
.prebox {
  height: 350px;
  width: 400px;
  display: flex;
  margin: auto;

  background-position: top left;
  background-clip: border-box;
  background-size: cover;

  transition: all;
  transition-duration: 3s;
}
.prebox:hover {
  background-position: bottom right;
  transform: scale(10px);
}
.prebox a {
  font-size: 25px;
  padding: 10px;
}
/* mock up backgrounds */
#DashJS {background-image: url('img/dashJS-preview.JPG');}
#CoffeeAPP {background-image: url('img/coffee-new1.JPG');}
#MedicalApp {background-image: url('img/medicalApp-preview.JPG');}
#TravelMU {background-image: url('img/tvlApp1.JPG');}
#TechHubMU {background-image: url('img/_preview-techH.JPG');}



/* SECTION designs
FLEX Section - Flex Direction = Column
 */
.designs {
  text-align: center;
  padding: 10px;
  margin: 20px;

}
.container-flex {
  clear: both;
  display: flex;
}
.des-col {
  width: 33.3%;

  margin: 10px;

  background-image: linear-gradient(to bottom, #000, #fff );
}

/* #feature-animation {

  margin: auto;
  height: 200px;
  max-height: 500px;
  width: 250px;
  position: relative;
  z-index: -1;
  animation-name: features;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  animation-fill-mode: forwards;
}
@keyframes features {
  0% {background-color: #fff; border-radius: 0 0 0 0;}
  25% {background-color: lightgrey; border-radius: 50% 0 0 0;}
  50% {background-color: grey; border-radius: 50% 50% 0 0;}
  75% {background-color: darkgrey; border-radius: 50% 50% 50% 0;}
  100% {background-color: #000; border-radius: 50% 50% 50% 50%;}
} */

/* HIRE.HTML
 id=MAPS */
#maps {
  height: 400px;
  width: 100%;
  max-width: 960px;

  margin: auto;
  z-index: -1;
}

/* HIRE.html
iFrame class="preview" */
.Respreview {
  height: 400px;
  width: 550px;
  max-width: 960px;
}

/* gallery.html Flex layout properties */
.box {
  display: flex;
  background: #000;
  height: 200px;
  width: 200px;
  padding: 10px;
  margin: auto;
}


/* Responsive Grid section */
.resGridRow {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
  margin: auto;
}
.resGridCol {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
}
.resGridCol img {
  margin-top: 8px;
  vertical-align: middle;
}


.-emulate-preview {
  width: 100%;
  height: auto;

}
/* FOOTER 2X2 GRID LAYOUT */
.split {

  background-color: #000;
  text-align: center;

  width: 100%;

  color: #fff;
  margin: auto;

}

/* div class = animate-bk */
.animate-bk {
  /* position: relative; */
  max-width: 75px;
  max-height: 75px;

  background: #000;
  animation-name: footer-animate;
  animation-duration: 2.9s;
  animation-iteration-count: infinite;
  animation-fill-mode: both;

  margin: auto;
  justify-content: center;
  align-items: center;

}
@keyframes footer-animate {
  0% { background-color: purple; border-radius: 0 0 0 0;}
  25% {background-color: lightpink; border-radius: 50% 0 0 0;}
  50% { background-color: red; border-radius: 50% 50% 0 0;}
  75% {background-color: rebeccapurple; border-radius: 50% 50% 50% 0;}
  100% {background-color: purple; border-radius: 50% 50% 50% 50%;}
}


/* FOOTER child elements */

.icons {
  /* font-size: 25px; */
  text-align: center;
  padding: 10px;
  margin: auto;
  /* width: 50%; */

  animation-name: icons-animate;
  animation-duration: 2.9s;
  animation-iteration-count: infinite;
  animation-fill-mode: both;
}

@keyframes icons-animate {
  0% { color: purple; border-radius: 0 0 0 0;}
  25% {color: lightpink; border-radius: 50% 0 0 0;}
  50% { color: red; border-radius: 50% 50% 0 0;}
  75% {color: rebeccapurple; border-radius: 50% 50% 50% 0;}
  100% {color: purple; border-radius: 50% 50% 50% 50%;}
}

.fa {

  font-size: 30px;
  width: 30px;
  text-align: center;
  text-decoration: none;
  color: white;
}

/* Gallery.html
  Mos-Grid layout properties */
  #galleryHTML, #introHTML, #hireHTML {
    font-family: 'Open Sans Condensed', sans-serif;

  }


.grid-mos {
  padding: 20px 10px;
}
.mosaic-container {
  display: grid;
  grid-template-rows: repeat(11, 1fr);
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 10px;
  height: 100%;
  width: 100%;
}
.mos-item {
  align-items: center;
  color: #000;
  display:flex;
  justify-content: center;

  transition-property: all ease;
  transition-duration: 2s;
  opacity: 0.6;
}
.mos-item:hover {
  background-position: center;
  color: purple;
  font-weight: bold;
  opacity: 1;
}

/* Grid mosaic items */
.one {
  background-image: url("img/blog-progress.JPG");
  background-position: top left;
  background-size: cover;
  opacity: 0.7;

  transition-property: all ease;
  transition-duration: 2s;
}
.two {
  background-image: url("img/coffee-new1.JPG");
  background-position: top left;
  background-size: cover;
  opacity: 0.7;

  transition-property: all ease;
  transition-duration: 2s;
}
.three {
  background-image: url("img/gallery/gal-item-03.JPG");
  background-position: top left;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;
}
.four {
  background-image: url("img/reactjs-emulate.JPG");
  background-position: top left;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;
}
.five {
  background-image: url("img/tvlApp1.JPG");
  background-position: top right;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;
}
.six {
  background-image: url("img/gallery/photoPreview-003.JPG");
  background-position: bottom right;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;
}
.seven {
  background-image: url("img/doof-navigation.JPG");
  background-position: top left;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;
}
.eight {
  background-image: url("img/_preview-techH.JPG");
  background-position: bottom;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;

}
.nine {
  background-image: url("img/blog-post-progess.JPG");
  background-position: bottom right;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;

}
.ten {
  background-image: url("img/mtnDew-emulate.JPG");
  background-position: top right;
  background-size: cover;
  opacity: 0.6;

  transition-property: all ease;
  transition-duration: 2s;

}
/* Grid-mos Child elements
Classes: smal, medium, large, wide and tall
Sizing:  1x1, 2x2, 3x3, 2x3, 3x2  */
.small {
  grid-row: span 1;
  grid-column: span 1;
}
.medium {
  grid-row: span 2;
  grid-column: span 2;
}
.large {
  grid-row: span 3;
  grid-column: span 3;
}

.wide {
  grid-row: span 2;
  grid-column: span 3;
}
.tall {
  grid-row: span 3;
  grid-column: span 2;
}


/* Gallery Mock ups + accomodating links */


/* Gallery.html
    [Flex Gallery] SECTION
    Scroll to right on mobile
    Flex, flex wrap on > Tablet devices

*/
.container-f {


  padding: 1em;
  text-align: center;
  width: 100%;
}
.gal-flex-container {
    display: flex;
    flex-wrap: wrap;
    margin: auto;

}
.gal-flex-item {
    background: blue;
    height: 100px;
    width: 100px;
    margin: 1em;

    display: flex;
    justify-content: center;
    align-items: center;
  }

.flex {
  display: flex;
  margin: auto;
}



/* Media queries for desktop between 800px & 1000px
@media screen and (max-width: 1100px) {
  .emulate-preview {
    width: 100%;
    margin: auto;
  }
} */

/* media queries for desktop gallery */
@media screen and (min-width: 800px) {
  .grid-mos {
    padding: 20px 10px;
    height: 85vh;
  }
}



/* Media queries for mobile */
@media screen and (max-width: 800px) {


  .features img {
    width: 100%;
    height: auto;
  }
img {
  height: auto;
  width: 100%;
}
.col {
  width: 100%;
  height: auto;
  display: block;
}
.container-flex {
  display: block;
  padding: 10px;
  margin-top: 20px;

}
.Respreview {
  width: 100%;
  height: 350px;
}
.resGridCol {
  flex: 100%;
  max-width: 100%;
}
.mosaic-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.mos-item {
  width: 100%;
  height: 15em;
  margin: auto;

}
.flex {
  bottom: 0;
  width: 100%;
  text-align: center;

}
footer {

  position: relative;
  bottom: 0;
  text-align: center;
}

}
